ApiClearHasMsg doesn't have tests
Closed, ResolvedPublic

Description

In MediaWiki core, the ApiClearHasMsg module doesn't have any tests. It's a fairly simple module that clears the "you have new messages" flag for users. You will need to create a ApiClearHasMsg test case that implements tests for the module.

If you're not already familiar with PHPUnit tests, https://www.mediawiki.org/wiki/Manual:PHP_unit_testing/Writing_unit_tests has links to some good material on the basics of testing. I would also recommend looking at other tests in the tests/phpunit/includes/api directory of MediaWiki core for an example of how we currently test API modules.

I'll mentor this for Google-Code-in-2017

Legoktm created this task.Dec 29 2017, 9:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 29 2017, 9:07 AM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Dec 30 2017, 5:10 PM
nikitavbv claimed this task.Jan 2 2018, 2:18 AM
nikitavbv added a subscriber: nikitavbv.

I will add a test for this!

Change 401421 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[mediawiki/core@master] Add tests for ApiClearHasMsg

https://gerrit.wikimedia.org/r/401421

Change 401421 merged by jenkins-bot:
[mediawiki/core@master] Add test for ApiClearHasMsg

https://gerrit.wikimedia.org/r/401421

Legoktm closed this task as Resolved.Jan 4 2018, 7:05 AM